Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.extensions
Class JavaInstance

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xsl.extensions.JavaInstance

Direct Known Subclasses:
  JavaConstructorInstance, JavaMethodInstance

    public abstract class JavaInstance

extends Function

Base class for JavaConstructorInstance and JavaMethodInstance

Field Summary
`protected static Class` | `classBoolean`
`protected static Class` | `classNumber`
`protected static Class` | `classString`
`protected static Class` | `interfaceExpressionValue`
`protected static Class` | `interfaceNode`
`protected ExpressionValue` | `returnWrapper` The object used to wrap the return in an ExpressionValue interface, if necessary

Constructor Summary
`protected` | `JavaInstance(FunctionSignature signature)`

Method Summary
`static Class` | `getReturnType(Class baseRetType)` Determine the actual return class based on the passed class.
`Class` | `getWrappedResultType()` Return the actual result type of the method or constructor rather than the wrapper type This is used by JavaMember.weightParam() to detect exact type matches for java objects in actual parameter lists
`String` | `toString()` provide the name of the function for messages

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, invoke, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### returnWrapper

    protected ExpressionValue returnWrapper

  The object used to wrap the return in an ExpressionValue interface, if necessary

### interfaceExpressionValue

    protected static final Class interfaceExpressionValue

### interfaceNode

    protected static final Class interfaceNode

### classString

    protected static final Class classString

### classNumber

    protected static final Class classNumber

### classBoolean

    protected static final Class classBoolean

Constructor Detail

### JavaInstance

    protected JavaInstance(FunctionSignature signature)

Method Detail

### toString

    public String toString()

  provide the name of the function for messages

  Overrides:
    `toString` in class `Object`

### getWrappedResultType

    public Class getWrappedResultType()

  Return the actual result type of the method or constructor rather than the wrapper type This is used by JavaMember.weightParam() to detect exact type matches for java objects in actual parameter lists

  Returns:
    The actual return type of the constructor or method if actual return type will be wrapped by JavaObject

### getReturnType

    public static Class getReturnType(Class baseRetType)

  Determine the actual return class based on the passed class. This will return the class of a wrapper class if necessary.

  Parameters:
    `baseRetType` - The Class of the return type to wrap.
  Returns:
    The actual object type to return from the function invocation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD